%define	name	teagtk
%define	version	17.6.6
%define	release	%mkrel 2

Summary:	A simple-in-use GTK-based text editor for gnome
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Editors
License:	GPLv2+
URL:		http://sourceforge.net/projects/tea-editor/
Source0:	http://superb-west.dl.sourceforge.net/sourceforge/tea-editor/%{name}-%{version}.tar.bz2
Patch0:		teagtk-17.6.6-fixconfigure.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	gtksourceview-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	ImageMagick
BuildRequires:	aspell-devel
Obsoletes: 	tea < %{version}
Provides:	teagtk
Packager:	Joble


%description
TEAGTK is a very small, but powerful GTK+ text editor with many unique features for gnome.

%prep
%setup -q
%patch0 -p1 -b .fixconfigure

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# icons
mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_iconsdir,%_miconsdir}
convert -resize 16x16 pixmaps/tea_icon_v2.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
convert -resize 32x32 pixmaps/tea_icon_v2.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert -resize 48x48 pixmaps/tea_icon_v2.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

# desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Teagtk
Comment=A simple but powerful text editor
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Gtk;TextEditor;Utility;X-MandrivaLinux-MoreApplications-Editors;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_datadir}/applications/*


%changelog
* Sat Jun 27 2009 Joble <joble@belproject.org> teagtk-17.6.6-2pclos2009
- Updated for PCLinuxOS

* Tue Jun 04 2008 don_crissti <don_crissti@gmx.com> tea-17.6.1-1pclos2007
- build for PCLinuxOS
- fix desktop file category X-MandrivaLinux-MoreApplications-Editors (texstar)
